org.apache.commons.math3.analysis.solvers

## Interface UnivariateDifferentiableSolver

All Superinterfaces:
  BaseUnivariateSolver<UnivariateDifferentiableFunction>

All Known Implementing Classes:
  AbstractUnivariateDifferentiableSolver, NewtonRaphsonSolver

    public interface UnivariateDifferentiableSolver
    extends BaseUnivariateSolver<UnivariateDifferentiableFunction>

Interface for (univariate real) rootfinding algorithms. Implementations will search for only one zero in the given interval.

Since:
  3.1
Version:
  $Id: UnivariateDifferentiableSolver.java 1383441 2012-09-11 14:56:39Z luc $

### Method Summary

### Methods inherited from interface org.apache.commons.math3.analysis.solvers.BaseUnivariateSolver

`getAbsoluteAccuracy, getEvaluations, getFunctionValueAccuracy, getMaxEvaluations, getRelativeAccuracy, solve, solve, solve`